FictionBook2Token.cpp File Reference
`#include <cstring>`
`#include "FictionBook2Token.h"`
`#include "FictionBook2Token.inc"`

## Namespaces
namespace | libebook
namespace | libebook::libebook
namespace | libebook::libebook::FictionBook2Token

## Macros
#define | FICTIONBOOK2TOKEN_H_INCLUDED
#define | EBOOKTOKEN_H_INCLUDED
#define | FictionBook2_NO_NAMESPACE(ns)

## Functions
const FictionBook2TokenData * | libebook::getFictionBook2Token (const char *const str, const unsigned length)
const FictionBook2TokenData * | libebook::getFictionBook2Token (const char *const str)
const FictionBook2TokenData * | libebook::getFictionBook2Token (const unsigned char *const str)
int | libebook::getFictionBook2TokenID (const FictionBook2TokenData &token)
int | libebook::getFictionBook2TokenID (const FictionBook2TokenData *const token)
int | libebook::getFictionBook2TokenID (const char *str, const unsigned length)
int | libebook::getFictionBook2TokenID (const char *str)
int | libebook::getFictionBook2TokenID (const unsigned char *str)
const char * | libebook::getFictionBook2TokenName (const FictionBook2TokenData &token)
const char * | libebook::getFictionBook2TokenName (const FictionBook2TokenData *const token)
const char * | libebook::getFictionBook2TokenName (const char *str, const unsigned length)
const char * | libebook::getFictionBook2TokenName (const char *str)
const char * | libebook::getFictionBook2TokenName (const unsigned char *str)

## Macro Definition Documentation

## ◆ EBOOKTOKEN_H_INCLUDED

#define EBOOKTOKEN_H_INCLUDED

## ◆ FictionBook2_NO_NAMESPACE

#define FictionBook2_NO_NAMESPACE | ( |  | ns | ) |

Value:
(0 == ns)

Referenced by libebook::FictionBook2AContext::attribute(), libebook::FictionBook2AnnotationContext::attribute(), libebook::FictionBook2BinaryContext::attribute(), libebook::FictionBook2BookNameContext::attribute(), libebook::FictionBook2CellContext::attribute(), libebook::FictionBook2CiteContext::attribute(), libebook::FictionBook2CityContext::attribute(), libebook::FictionBook2CoverpageContext::attribute(), libebook::FictionBook2CustomInfoContext::attribute(), libebook::FictionBook2DateContext::attribute(), libebook::FictionBook2EmailContext::attribute(), libebook::FictionBook2EpigraphContext::attribute(), libebook::FictionBook2GenreContext::attribute(), libebook::FictionBook2HistoryContext::attribute(), libebook::FictionBook2HomePageContext::attribute(), libebook::FictionBook2IdContext::attribute(), libebook::FictionBook2ImageContext::attribute(), libebook::FictionBook2InlineImageContext::attribute(), libebook::FictionBook2IsbnContext::attribute(), libebook::FictionBook2OutputContext::attribute(), libebook::FictionBook2OutputDocumentClassContext::attribute(), libebook::FictionBook2ParaContextBase::attribute(), libebook::FictionBook2PartContext::attribute(), libebook::FictionBook2PoemContext::attribute(), libebook::FictionBook2ProgramUsedContext::attribute(), libebook::FictionBook2SectionContext::attribute(), libebook::FictionBook2SequenceContext::attribute(), libebook::FictionBook2SrcLangContext::attribute(), libebook::FictionBook2SrcOcrContext::attribute(), libebook::FictionBook2SrcTitleInfoContext::attribute(), libebook::FictionBook2TableContext::attribute(), libebook::FictionBook2TitleContext::attribute(), libebook::FictionBook2TranslatorContext::attribute(), libebook::FictionBook2TrContext::attribute(), and libebook::FictionBook2YearContext::attribute().

## ◆ FICTIONBOOK2TOKEN_H_INCLUDED

#define FICTIONBOOK2TOKEN_H_INCLUDED